## groestlcoin 2.21.1~dfsg

=== depends/Makefile ===
.NOTPARALLEL :

# Pattern rule to print variables, e.g. make print-top_srcdir
print-%:
	@echo $* = $($*)

# When invoking a sub-make, keep only the command line variable definitions
# matching the pattern in the filter function.
#
# e.g. invoking:
#   $ make A=1 C=1 print-MAKEOVERRIDES print-MAKEFLAGS
#
# with the following in the Makefile:
#   MAKEOVERRIDES := $(filter A=% B=%,$(MAKEOVERRIDES))
#
# will print:
#   MAKEOVERRIDES = A=1
#   MAKEFLAGS = -- A=1
#
# this is because as the GNU make manual says:
#   The command line variable definitions really appear in the variable
#   MAKEOVERRIDES, and MAKEFLAGS contains a reference to this variable.
#
# and since the GNU make manual also says:
#   variables defined on the command line are passed to the sub-make through
#   MAKEFLAGS
#
# this means that sub-makes will be invoked as if:
#   $(MAKE) A=1 blah blah
MAKEOVERRIDES := $(filter V=%,$(MAKEOVERRIDES))
SOURCES_PATH ?= $(BASEDIR)/sources
WORK_PATH = $(BASEDIR)/work
BASE_CACHE ?= $(BASEDIR)/built
SDK_PATH ?= $(BASEDIR)/SDKs
NO_QT ?=
NO_QR ?=
NO_WALLET ?=
NO_ZMQ ?=
NO_UPNP ?=
MULTIPROCESS ?=
FALLBACK_DOWNLOAD_PATH ?= https://bitcoincore.org/depends-sources

BUILD = $(shell ./config.guess)
HOST ?= $(BUILD)
PATCHES_PATH = $(BASEDIR)/patches
BASEDIR = $(CURDIR)
HASH_LENGTH:=11
DOWNLOAD_CONNECT_TIMEOUT:=30
DOWNLOAD_RETRIES:=3
HOST_ID_SALT ?= salt
BUILD_ID_SALT ?= salt

host:=$(BUILD)
ifneq ($(HOST),)
host:=$(HOST)
endif

ifneq ($(DEBUG),)
release_type=debug
else
release_type=release
endif

base_build_dir=$(WORK_PATH)/build
base_staging_dir=$(WORK_PATH)/staging
base_download_dir=$(WORK_PATH)/download
canonical_host:=$(shell ./config.sub $(HOST))
build:=$(shell ./config.sub $(BUILD))

build_arch =$(firstword $(subst -, ,$(build)))
build_vendor=$(word 2,$(subst -, ,$(build)))
full_build_os:=$(subst $(build_arch)-$(build_vendor)-,,$(build))
build_os:=$(findstring linux,$(full_build_os))
build_os+=$(findstring darwin,$(full_build_os))
build_os:=$(strip $(build_os))
ifeq ($(build_os),)
build_os=$(full_build_os)
endif

host_arch=$(firstword $(subst -, ,$(canonical_host)))
host_vendor=$(word 2,$(subst -, ,$(canonical_host)))
full_host_os:=$(subst $(host_arch)-$(host_vendor)-,,$(canonical_host))
host_os:=$(findstring linux,$(full_host_os))
host_os+=$(findstring darwin,$(full_host_os))
host_os+=$(findstring mingw32,$(full_host_os))

ifeq (android,$(findstring android,$(full_host_os)))
host_os:=android
endif

host_os:=$(strip $(host_os))
ifeq ($(host_os),)
host_os=$(full_host_os)
endif

$(host_arch)_$(host_os)_prefix=$(BASEDIR)/$(host)
$(host_arch)_$(host_os)_host=$(host)
host_prefix=$($(host_arch)_$(host_os)_prefix)
build_prefix=$(host_prefix)/native
build_host=$(build)

AT_$(V):=
AT_:=@
AT:=$(AT_$(V))

all: install

include hosts/$(host_os).mk
include hosts/default.mk
include builders/$(build_os).mk
include builders/default.mk
include packages/packages.mk

build_id_string:=$(BUILD_ID_SALT)
build_id_string+=$(shell $(build_CC) --version 2>/dev/null)
build_id_string+=$(shell $(build_AR) --version 2>/dev/null)
build_id_string+=$(shell $(build_CXX) --version 2>/dev/null)
build_id_string+=$(shell $(build_RANLIB) --version 2>/dev/null)
build_id_string+=$(shell $(build_STRIP) --version 2>/dev/null)

$(host_arch)_$(host_os)_id_string:=$(HOST_ID_SALT)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_CC) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_AR) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_CXX) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_RANLIB) --version 2>/dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_STRIP) --version 2>/dev/null)

ifneq ($(strip $(FORCE_USE_SYSTEM_CLANG)),)
build_id_string+=system_clang
$(host_arch)_$(host_os)_id_string+=system_clang
endif

qrencode_packages_$(NO_QR) = $(qrencode_packages)

qt_packages_$(NO_QT) = $(qt_packages) $(qt_$(host_os)_packages) $(qt_$(host_arch)_$(host_os)_packages) $(qrencode_packages_)

bdb_packages_$(NO_BDB) = $(bdb_packages)
sqlite_packages_$(NO_SQLITE) = $(sqlite_packages)
wallet_packages_$(NO_WALLET) = $(bdb_packages_) $(sqlite_packages_)

upnp_packages_$(NO_UPNP) = $(upnp_packages)
zmq_packages_$(NO_ZMQ) = $(zmq_packages)
multiprocess_packages_$(MULTIPROCESS) = $(multiprocess_packages)

packages += $($(host_arch)_$(host_os)_packages) $($(host_os)_packages) $(qt_packages_) $(wallet_packages_) $(upnp_packages_)
native_packages += $($(host_arch)_$(host_os)_native_packages) $($(host_os)_native_packages)

ifneq ($(zmq_packages_),)
packages += $(zmq_packages)
endif

ifeq ($(multiprocess_packages_),)
packages += $(multiprocess_packages)
native_packages += $(multiprocess_native_packages)
endif

all_packages = $(packages) $(native_packages)

meta_depends = Makefile funcs.mk builders/default.mk hosts/default.mk hosts/$(host_os).mk builders/$(build_os).mk

$(host_arch)_$(host_os)_native_binutils?=$($(host_os)_native_binutils)
$(host_arch)_$(host_os)_native_toolchain?=$($(host_os)_native_toolchain)

include funcs.mk

binutils_path=$($($(host_arch)_$(host_os)_native_binutils)_prefixbin)
ifeq ($(strip $(FORCE_USE_SYSTEM_CLANG)),)
toolchain_path=$($($(host_arch)_$(host_os)_native_toolchain)_prefixbin)
else
toolchain_path=
endif
final_build_id_long+=$(shell $(build_SHA256SUM) config.site.in)
final_build_id+=$(shell echo -n "$(final_build_id_long)" | $(build_SHA256SUM) | cut -c-$(HASH_LENGTH))
$(host_prefix)/.stamp_$(final_build_id): $(native_packages) $(packages)
	$(AT)rm -rf $(@D)
	$(AT)mkdir -p $(@D)
	$(AT)echo copying packages: $^
	$(AT)echo to: $(@D)
	$(AT)cd $(@D); $(foreach package,$^, tar xf $($(package)_cached); )
	$(AT)touch $@

$(host_prefix)/share/config.site : config.site.in $(host_prefix)/.stamp_$(final_build_id)
	$(AT)@mkdir -p $(@D)
	$(AT)sed -e 's|@HOST@|$(host)|' \
            -e 's|@CC@|$(toolchain_path)$(host_CC)|' \
            -e 's|@CXX@|$(toolchain_path)$(host_CXX)|' \
            -e 's|@AR@|$(binutils_path)$(host_AR)|' \
            -e 's|@RANLIB@|$(binutils_path)$(host_RANLIB)|' \
            -e 's|@NM@|$(binutils_path)$(host_NM)|' \
            -e 's|@STRIP@|$(binutils_path)$(host_STRIP)|' \
            -e 's|@build_os@|$(build_os)|' \
            -e 's|@host_os@|$(host_os)|' \
            -e 's|@CFLAGS@|$(strip $(host_CFLAGS) $(host_$(release_type)_CFLAGS))|' \
            -e 's|@CXXFLAGS@|$(strip $(host_CXXFLAGS) $(host_$(release_type)_CXXFLAGS))|' \
            -e 's|@CPPFLAGS@|$(strip $(host_CPPFLAGS) $(host_$(release_type)_CPPFLAGS))|' \
            -e 's|@LDFLAGS@|$(strip $(host_LDFLAGS) $(host_$(release_type)_LDFLAGS))|' \
            -e 's|@allow_host_packages@|$(ALLOW_HOST_PACKAGES)|' \
            -e 's|@no_qt@|$(NO_QT)|' \
            -e 's|@no_qr@|$(NO_QR)|' \
            -e 's|@no_zmq@|$(NO_ZMQ)|' \
            -e 's|@no_wallet@|$(NO_WALLET)|' \
            -e 's|@no_upnp@|$(NO_UPNP)|' \
            -e 's|@multiprocess@|$(MULTIPROCESS)|' \
            -e 's|@debug@|$(DEBUG)|' \
            $< > $@
	$(AT)touch $@


define check_or_remove_cached
  mkdir -p $(BASE_CACHE)/$(host)/$(package) && cd $(BASE_CACHE)/$(host)/$(package); \
  $(build_SHA256SUM) -c $($(package)_cached_checksum) >/dev/null 2>/dev/null || \
  ( rm -f $($(package)_cached_checksum); \
    if test -f "$($(package)_cached)"; then echo "Checksum mismatch for $(package). Forcing rebuild.."; rm -f $($(package)_cached_checksum) $($(package)_cached); fi )
endef

define check_or_remove_sources
  mkdir -p $($(package)_source_dir); cd $($(package)_source_dir); \
  test -f $($(package)_fetched) && ( $(build_SHA256SUM) -c $($(package)_fetched) >/dev/null 2>/dev/null || \
    ( echo "Checksum missing or mismatched for $(package) source. Forcing re-download."; \
      rm -f $($(package)_all_sources) $($(1)_fetched))) || true
endef

check-packages:
	@$(foreach package,$(all_packages),$(call check_or_remove_cached,$(package));)
check-sources:
	@$(foreach package,$(all_packages),$(call check_or_remove_sources,$(package));)

$(host_prefix)/share/config.site: check-packages

check-packages: check-sources

clean-all: clean
	@rm -rf $(SOURCES_PATH) x86_64* i686* mips* arm* aarch64* powerpc* riscv32* riscv64* s390x*

clean:
	@rm -rf $(WORK_PATH) $(BASE_CACHE) $(BUILD)

install: check-packages $(host_prefix)/share/config.site


download-one: check-sources $(all_sources)

download-osx:
	@$(MAKE) -s HOST=x86_64-apple-darwin14 download-one
download-linux:
	@$(MAKE) -s HOST=x86_64-unknown-linux-gnu download-one
download-win:
	@$(MAKE) -s HOST=x86_64-w64-mingw32 download-one
download: download-osx download-linux download-win

$(foreach package,$(all_packages),$(eval $(call ext_add_stages,$(package))))

.PHONY: install cached clean clean-all download-one download-osx download-linux download-win download check-packages check-sources

=== src/crc32c/CMakeLists.txt ===
# Copyright 2017 The CRC32C Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file. See the AUTHORS file for names of contributors.

cmake_minimum_required(VERSION 3.1)
project(Crc32c VERSION 1.1.0 LANGUAGES C CXX)

# This project can use C11, but will gracefully decay down to C89.
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED OFF)
set(CMAKE_C_EXTENSIONS OFF)

# This project requires C++11.
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# https://github.com/izenecloud/cmake/blob/master/SetCompilerWarningAll.cmake
if(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
  # Use the highest warning level for Visual Studio.
  set(CMAKE_CXX_WARNING_LEVEL 4)
  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  else(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  endif(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")

  # Disable C++ exceptions.
  string(REGEX REPLACE "/EH[a-z]+" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHs-c-")
  add_definitions(-D_HAS_EXCEPTIONS=0)

  # Disable RTTI.
  string(REGEX REPLACE "/GR" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /GR-")
else(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
  # Use -Wall for clang and gcc.
  if(NOT CMAKE_CXX_FLAGS MATCHES "-Wall")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
  endif(NOT CMAKE_CXX_FLAGS MATCHES "-Wall")

  # Use -Wextra for clang and gcc.
  if(NOT CMAKE_CXX_FLAGS MATCHES "-Wextra")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra")
  endif(NOT CMAKE_CXX_FLAGS MATCHES "-Wextra")

  # Use -Werror for clang and gcc.
  if(NOT CMAKE_CXX_FLAGS MATCHES "-Werror")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
  endif(NOT CMAKE_CXX_FLAGS MATCHES "-Werror")

  # Disable C++ exceptions.
  string(REGEX REPLACE "-fexceptions" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-exceptions")

  # Disable RTTI.
  string(REGEX REPLACE "-frtti" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti")
endif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")

option(CRC32C_BUILD_TESTS "Build CRC32C's unit tests" ON)
option(CRC32C_BUILD_BENCHMARKS "Build CRC32C's benchmarks" ON)
option(CRC32C_USE_GLOG "Build CRC32C's tests with Google Logging" ON)
option(CRC32C_INSTALL "Install CRC32C's header and library" ON)

include(TestBigEndian)
test_big_endian(BYTE_ORDER_BIG_ENDIAN)

include(CheckCXXCompilerFlag)
# Used by glog.
check_cxx_compiler_flag(-Wno-deprecated CRC32C_HAVE_NO_DEPRECATED)
# Used by glog.
check_cxx_compiler_flag(-Wno-sign-compare CRC32C_HAVE_NO_SIGN_COMPARE)
# Used by glog.
check_cxx_compiler_flag(-Wno-unused-parameter CRC32C_HAVE_NO_UNUSED_PARAMETER)
# Used by googletest.
check_cxx_compiler_flag(-Wno-missing-field-initializers
                        CRC32C_HAVE_NO_MISSING_FIELD_INITIALIZERS)

# Check for __builtin_prefetch support in the compiler.
include(CheckCXXSourceCompiles)
check_cxx_source_compiles("
int main() {
  char data = 0;
  const char* address = &data;
  __builtin_prefetch(address, 0, 0);
  return 0;
}
"  HAVE_BUILTIN_PREFETCH)

# Check for _mm_prefetch support in the compiler.
include(CheckCXXSourceCompiles)
check_cxx_source_compiles("
#if defined(_MSC_VER)
#include <intrin.h>
#else  // !defined(_MSC_VER)
#include <xmmintrin.h>
#endif  // defined(_MSC_VER)

int main() {
  char data = 0;
  const char* address = &data;
  _mm_prefetch(address, _MM_HINT_NTA);
  return 0;
}
"  HAVE_MM_PREFETCH)

# Check for SSE4.2 support in the compiler.
set(OLD_CMAKE_REQURED_FLAGS ${CMAKE_REQUIRED_FLAGS})
if(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
  set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} /arch:AVX")
else(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
  set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -msse4.2")
endif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
check_cxx_source_compiles("
#if defined(_MSC_VER)
#include <intrin.h>
#else  // !defined(_MSC_VER)
#include <cpuid.h>
#include <nmmintrin.h>
#endif  // defined(_MSC_VER)

int main() {
  _mm_crc32_u8(0, 0); _mm_crc32_u32(0, 0);
#if defined(_M_X64) || defined(__x86_64__)
   _mm_crc32_u64(0, 0);
#endif // defined(_M_X64) || defined(__x86_64__)
  return 0;
}
"  HAVE_SSE42)
set(CMAKE_REQUIRED_FLAGS ${OLD_CMAKE_REQURED_FLAGS})

# Check for ARMv8 w/ CRC and CRYPTO extensions support in the compiler.
set(OLD_CMAKE_REQURED_FLAGS ${CMAKE_REQUIRED_FLAGS})
if(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
  # TODO(pwnall): Insert correct flag when VS gets ARM CRC32C support.
  set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} /arch:NOTYET")
else(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
  set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -march=armv8-a+crc+crypto")
endif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
check_cxx_source_compiles("
#include <arm_acle.h>
#include <arm_neon.h>

int main() {
  __crc32cb(0, 0); __crc32ch(0, 0); __crc32cw(0, 0); __crc32cd(0, 0);
  vmull_p64(0, 0);
  return 0;
}
" HAVE_ARM64_CRC32C)
set(CMAKE_REQUIRED_FLAGS ${OLD_CMAKE_REQURED_FLAGS})

# Check for strong getauxval() support in the system headers.
check_cxx_source_compiles("
#include <arm_acle.h>
#include <arm_neon.h>
#include <sys/auxv.h>

int main() {
  getauxval(AT_HWCAP);
  return 0;
}
" HAVE_STRONG_GETAUXVAL)

# Check for weak getauxval() support in the compiler.
check_cxx_source_compiles("
unsigned long getauxval(unsigned long type) __attribute__((weak));
#define AT_HWCAP 16

int main() {
  getauxval(AT_HWCAP);
  return 0;
}
" HAVE_WEAK_GETAUXVAL)

if(CRC32C_USE_GLOG)
  # glog requires this setting to avoid using dynamic_cast.
  set(DISABLE_RTTI ON CACHE BOOL "" FORCE)

  # glog's test targets trigger deprecation warnings, and compiling them burns
  # CPU cycles on the CI.
  set(BUILD_TESTING_SAVED "${BUILD_TESTING}")
  set(BUILD_TESTING OFF CACHE BOOL "" FORCE)
  add_subdirectory("third_party/glog" EXCLUDE_FROM_ALL)
  set(BUILD_TESTING "${BUILD_TESTING_SAVED}" CACHE BOOL "" FORCE)

  # glog triggers deprecation warnings on OSX.
  # https://github.com/google/glog/issues/185
  if(CRC32C_HAVE_NO_DEPRECATED)
    set_property(TARGET glog APPEND PROPERTY COMPILE_OPTIONS -Wno-deprecated)
  endif(CRC32C_HAVE_NO_DEPRECATED)

  # glog triggers sign comparison warnings on gcc.
  if(CRC32C_HAVE_NO_SIGN_COMPARE)
    set_property(TARGET glog APPEND PROPERTY COMPILE_OPTIONS -Wno-sign-compare)
  endif(CRC32C_HAVE_NO_SIGN_COMPARE)

  # glog triggers unused parameter warnings on clang.
  if(CRC32C_HAVE_NO_UNUSED_PARAMETER)
    set_property(TARGET glog
                 APPEND PROPERTY COMPILE_OPTIONS -Wno-unused-parameter)
  endif(CRC32C_HAVE_NO_UNUSED_PARAMETER)

  set(CRC32C_TESTS_BUILT_WITH_GLOG 1)
endif(CRC32C_USE_GLOG)

configure_file(
  "src/crc32c_config.h.in"
  "${PROJECT_BINARY_DIR}/include/crc32c/crc32c_config.h"
)

include_directories("${PROJECT_BINARY_DIR}/include")

# ARM64 CRC32C code is built separately, so we don't accidentally compile
# unsupported instructions into code that gets run without ARM32 support.
add_library(crc32c_arm64 OBJECT "")
target_sources(crc32c_arm64
  PRIVATE
    "${PROJECT_BINARY_DIR}/include/crc32c/crc32c_config.h"
    "src/crc32c_arm64.cc"
    "src/crc32c_arm64.h"
)
if(HAVE_ARM64_CRC32C)
  if(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    # TODO(pwnall): Insert correct flag when VS gets ARM64 CRC32C support.
    target_compile_options(crc32c_arm64 PRIVATE "/arch:NOTYET")
  else(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    target_compile_options(crc32c_arm64 PRIVATE "-march=armv8-a+crc+crypto")
  endif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
endif(HAVE_ARM64_CRC32C)

# CMake only enables PIC by default in SHARED and MODULE targets.
if(BUILD_SHARED_LIBS)
  set_property(TARGET crc32c_arm64 PROPERTY POSITION_INDEPENDENT_CODE TRUE)
endif(BUILD_SHARED_LIBS)

# SSE4.2 code is built separately, so we don't accidentally compile unsupported
# instructions into code that gets run without SSE4.2 support.
add_library(crc32c_sse42 OBJECT "")
target_sources(crc32c_sse42
  PRIVATE
    "${PROJECT_BINARY_DIR}/include/crc32c/crc32c_config.h"
    "src/crc32c_sse42.cc"
    "src/crc32c_sse42.h"
)
if(HAVE_SSE42)
  if(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    target_compile_options(crc32c_sse42 PRIVATE "/arch:AVX")
  else(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    target_compile_options(crc32c_sse42 PRIVATE "-msse4.2")
  endif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
endif(HAVE_SSE42)

# CMake only enables PIC by default in SHARED and MODULE targets.
if(BUILD_SHARED_LIBS)
  set_property(TARGET crc32c_sse42 PROPERTY POSITION_INDEPENDENT_CODE TRUE)
endif(BUILD_SHARED_LIBS)

# Must be included before CMAKE_INSTALL_INCLUDEDIR is used.
include(GNUInstallDirs)

add_library(crc32c ""
  # TODO(pwnall): Move the TARGET_OBJECTS generator expressions to the PRIVATE
  # section of target_sources when cmake_minimum_required becomes 3.9 or above.
  $<TARGET_OBJECTS:crc32c_arm64>
  $<TARGET_OBJECTS:crc32c_sse42>
)
target_sources(crc32c
  PRIVATE
    "${PROJECT_BINARY_DIR}/include/crc32c/crc32c_config.h"
    "src/crc32c_arm64.h"
    "src/crc32c_arm64_linux_check.h"
    "src/crc32c_internal.h"
    "src/crc32c_portable.cc"
    "src/crc32c_prefetch.h"
    "src/crc32c_read_le.h"
    "src/crc32c_round_up.h"
    "src/crc32c_sse42.h"
    "src/crc32c_sse42_check.h"
    "src/crc32c.cc"

  # Only CMake 3.3+ supports PUBLIC sources in targets exported by "install".
  $<$<VERSION_GREATER:CMAKE_VERSION,3.2>:PUBLIC>
    "include/crc32c/crc32c.h"
)

target_include_directories(crc32c
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

target_compile_definitions(crc32c
PRIVATE
  CRC32C_HAVE_CONFIG_H=1
)

set_target_properties(crc32c
  PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

# Warnings as errors in Visual Studio for this project's targets.
if(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
  set_property(TARGET crc32c APPEND PROPERTY COMPILE_OPTIONS "/WX")
  set_property(TARGET crc32c_arm64 APPEND PROPERTY COMPILE_OPTIONS "/WX")
  set_property(TARGET crc32c_sse42 APPEND PROPERTY COMPILE_OPTIONS "/WX")
endif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")

if(CRC32C_BUILD_TESTS)
  enable_testing()

  # Prevent overriding the parent project's compiler/linker settings on Windows.
  set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
  set(install_gtest OFF)
  set(install_gmock OFF)

  # This project is tested using GoogleTest.
  add_subdirectory("third_party/googletest")

  # GoogleTest triggers a missing field initializers warning.
  if(CRC32C_HAVE_NO_MISSING_FIELD_INITIALIZERS)
    set_property(TARGET gtest
        APPEND PROPERTY COMPILE_OPTIONS -Wno-missing-field-initializers)
    set_property(TARGET gmock
        APPEND PROPERTY COMPILE_OPTIONS -Wno-missing-field-initializers)
  endif(CRC32C_HAVE_NO_MISSING_FIELD_INITIALIZERS)

  add_executable(crc32c_tests "")
  target_sources(crc32c_tests
    PRIVATE
      "${PROJECT_BINARY_DIR}/include/crc32c/crc32c_config.h"
      "src/crc32c_arm64_unittest.cc"
      "src/crc32c_extend_unittests.h"
      "src/crc32c_portable_unittest.cc"
      "src/crc32c_prefetch_unittest.cc"
      "src/crc32c_read_le_unittest.cc"
      "src/crc32c_round_up_unittest.cc"
      "src/crc32c_sse42_unittest.cc"
      "src/crc32c_unittest.cc"
      "src/crc32c_test_main.cc"
  )
  target_link_libraries(crc32c_tests crc32c gtest)

  # Warnings as errors in Visual Studio for this project's targets.
  if(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    set_property(TARGET crc32c_tests APPEND PROPERTY COMPILE_OPTIONS "/WX")
  endif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")

  if(CRC32C_USE_GLOG)
    target_link_libraries(crc32c_tests glog)
  endif(CRC32C_USE_GLOG)

  add_test(NAME crc32c_tests COMMAND crc32c_tests)

  add_executable(crc32c_capi_tests "")
  target_sources(crc32c_capi_tests

=== src/qt/Makefile ===
.PHONY: FORCE
all: FORCE
	$(MAKE) -C .. groestlcoin_qt test_groestlcoin_qt
clean: FORCE
	$(MAKE) -C .. groestlcoin_qt_clean test_groestlcoin_qt_clean
check: FORCE
	$(MAKE) -C .. test_groestlcoin_qt_check
groestlcoin-qt groestlcoin-qt.exe: FORCE
	 $(MAKE) -C .. groestlcoin_qt

=== src/test/Makefile ===
all:
	$(MAKE) -C .. groestlcoin_test
clean:
	$(MAKE) -C .. groestlcoin_test_clean
check:
	$(MAKE) -C .. groestlcoin_test_check

## groestlcoin 2.17.2~dfsg

=== debian/changelog ===
groestlcoin (2.17.2~dfsg-1) experimental; urgency=medium

  * Update watch file:
    + Generalize version mangling for repackaging.
    + Simplify regular expressions.
    + Rewrite usage comment.
  * Update copyright info:
    + Remove contrib watch file when repackaging source.
    + Use https protocol in Format URL.
    + Drop superfluous alternate Source URL.
    + Extend coverage for main upstream authors.
    + Drop section for manpages no longer shipped upstream.
    + Update section for a changed path.
  * Declare compliance with Debian Policy 4.3.0.
  * Add bash-completion for groestlcoin-tx and groestlcoin-cli
    (in addition to groestlcoind).
    Fix suggest bash-completion.
  * Build-depend on python3 (not python).
  * Stop build-depend on libboost-program-options-dev.
  * Tighten to build-depend versioned on libunivalue-dev.
  * Update/unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Apr 2019 23:18:20 +0200

groestlcoin (2.16.3~dfsg-2) experimental; urgency=medium

  * Simplify rules: Stop resolve (build-)dependencies in rules file.
  * Mark build-dependencies unneeded when tests are skipped.
  * Stop build-depend on dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Dec 2018 12:55:56 +0100

groestlcoin (2.16.3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Unfuzz patches.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Sep 2018 19:14:01 +0200

groestlcoin (2.16.0+20180616~39a4d75~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release
    (previous release was a pre-release accidentally tagged as final).
  * Git snapshot
    + Fix non-DFSG files.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Stop track no longer shipped files.
    + Extend coverage for main upstream authors.
    + Update Files sections for images, now in the public domain.
  * Fix typo in watch file usage comment.
  * Stop build and package shared library groestlcoinconsensus:
    Apparently unused anywhere, and unstable API.
  * Declare compliance with Debian Policy 4.1.4.
  * Use https protocol with Homepage URL.
  * Use tracker.debian team email as Maintainer.
  * Update Vcs-* fields: Source moved to Salsa.
  * Stop generate manpages during build (for nowe):
    Manpages shipped upstream now.
  * Refresh patch 1003. Unfuzz all patches.
  * Update package relations:
    + Build-depend on libssl-dev (not libssl1.0-dev).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Jun 2018 10:44:10 +0200

groestlcoin (2.16.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Expand list of main upstream authors.
    + Add file licensed Expat and BSD-3-Clause~Intel.
    + Extend coverage for myself.
  * Add patch 2002 to avoid tests requiring network access.
  * Unfuzz and restructure patches.
  * Declare compliance with Debian Policy 4.1.3.
  * Really stop build-depend (explicitly) on libtool automake autoconf
    (as intended in 2.13.3~dfsg-3).
  * Stop hack bitcoin-util-test.py during testsuite: No longer needed.
  * Update symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Jan 2018 21:18:01 +0100

groestlcoin (2.13.3~dfsg-3) experimental; urgency=medium

  * Declare compliance with Debian Policy 4.1.0.
  * Update watch file: Use substitution strings.
  * Tighten lintian overrides regarding License-Reference.
  * Fix stop mention get-orig-source target in README.source: Obsolete
    since 2.13.3~dfsg-1.
  * Use dh-autoreconf.
    Stop build-depend (explicitly) on libtool automake autoconf.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Sep 2017 20:49:08 +0200

groestlcoin (2.13.3~dfsg-2) experimental; urgency=medium

  * Fix install icons into correct location.
    Closes: Bug#866977. Thanks to Laurent Bigonville.
  * Stop use or build-depend on dh-exec.
  * Stop build-depend explicitly on recent dpkg-dev: DEB_SUITE resolved
    in cdbs.
  * Update symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 12 Jul 2017 09:13:32 +0200

groestlcoin (2.13.3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Repackage upstream tarball, stripping Windows binary, embedded code
    copies, and an unsafe symlink.
  * Update watch file: Set repacksuffix.
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
  * Drop patches cheery-picked from Bitcoin: Assumed applied as
    appropriate.
  * Unfuzz and update patches.
  * Add patch 2001 to avoid embedded libraries.
  * Explicitly enable ZeroMQ support.
    Build-depend on libzmq3-dev.
  * Update copyright info:
    + Update upstream project name.
    + Extend coverage for main upstream author.
    + Stop track embedded code copies no longer included.
  * Update copyright check: Generally ignore *.raw files.
  * Build-depend unversioned on cdbs: Required version satisfied even on
    oldstable.
  * Build-depend on libevent-dev.
  * Stop put aside embedded code copies during build: No longer included
    with (our) source.
  * Add patch 1003 to improve manpage generator script.
  * Generate manpages using help2man (except Qt binary failing).
    Build-depend on help2man.
    Declare manpage install discretely (not indirectly in rules file).
  * Update symbols.
  * Modernize Vcs-Browser field: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.0.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Jul 2017 12:21:12 +0200

groestlcoin (2.11.0+20160407-5) experimental; urgency=medium

  * Build-depend on libssl1.0-dev (not libssl-dev).
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Relax build-dependency on cdbs.
    + Stop build-depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.



=== debian/control ===
Source: groestlcoin
Section: utils
Priority: optional
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 autotools-dev,
 dh-autoreconf,
 debhelper,
 pkg-config,
 autoconf-archive,
 libdb++-dev,
 libleveldb-dev,
 libsecp256k1-dev,
 libunivalue-dev (>= 1.0.4),
 libzmq3-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 libprotobuf-dev,
 protobuf-compiler,
 libqrencode-dev,
 libevent-dev,
 bash-completion,
 xvfb <!nocheck>,
 xauth <!nocheck>,
 libboost-system-dev,
# TODO: Drop below Boost libs when (if ever?) system json is used
 libboost-filesystem-dev,
 libboost-thread-dev,
 libboost-test-dev,
 libboost-chrono-dev,
 libssl-dev,
 python3,
Standards-Version: 4.3.0
Homepage: https://www.groestlcoin.org/
Vcs-Git: https://salsa.debian.org/cryptocoin-team/groestlcoin.git
Vcs-Browser: https://salsa.debian.org/cryptocoin-team/groestlcoin
Rules-Requires-Root: no

Package: groestlcoind
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 bash-completion,
 db-util,
Description: peer-to-peer network based digital currency - daemon
 Groestlcoin is an experimental new digital currency
 that enables instant payments to anyone,
 anywhere in the world.
 Groestlcoin uses peer-to-peer technology
 to operate with no central authority:
 Managing transactions and issuing money are carried out
 collectively by the network.
 Groestlcoin Core is the name of open source software
 which enables the use of this currency.
 .
 Grøstl is a cryptographic hash function
 submitted to a NIST competition -
 and was chosen as one of the five finalists of the competition.
 The name is a word play on the researchers
 being from Austria (the dish "gröstl")
 and Denmark (the letter "ø").
 .
 This package provides the daemon, groestlcoind,
 and the CLI tool, groestlcoin-cli, to interact with the daemon.

Package: groestlcoin-qt
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: peer-to-peer network based digital currency - GUI
 Groestlcoin is an experimental new digital currency
 that enables instant payments to anyone,
 anywhere in the world.
 Groestlcoin uses peer-to-peer technology
 to operate with no central authority:
 Managing transactions and issuing money are carried out
 collectively by the network.
 Groestlcoin Core is the name of open source software
 which enables the use of this currency.
 .
 Grøstl is a cryptographic hash function
 submitted to a NIST competition -
 and was chosen as one of the five finalists of the competition.
 The name is a word play on the researchers
 being from Austria (the dish "gröstl")
 and Denmark (the letter "ø").
 .
 This package provides groestlcoin-Qt, a GUI for groestlcoin based on Qt.

Package: groestlcoin-tx
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 bash-completion,
Description: peer-to-peer network based digital currency - transaction tool
 Groestlcoin is an experimental new digital currency
 that enables instant payments to anyone,
 anywhere in the world.
 Groestlcoin uses peer-to-peer technology
 to operate with no central authority:
 Managing transactions and issuing money are carried out
 collectively by the network.
 Groestlcoin Core is the name of open source software
 which enables the use of this currency.
 .
 Grøstl is a cryptographic hash function
 submitted to a NIST competition -
 and was chosen as one of the five finalists of the competition.
 The name is a word play on the researchers
 being from Austria (the dish "gröstl")
 and Denmark (the letter "ø").
 .
 This package provides groestlcoin-tx, a command line tool for creating,
 parsing, or modifying transactions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)
stem = $(patsubst lib%,%,$(pkg))
daemon = $(stem)d
pkg-daemon = $(daemon)

DEB_BUILD_PARALLEL = 1

DEB_INSTALL_DOCS_ALL += doc/release-notes.md
DEB_INSTALL_EXAMPLES_$(pkg-daemon) += contrib/debian/examples/*

# work around build failure with gcc 4.7
#CXXFLAGS += -fpermissive

# Silence seemingly harmless noise about unused variables
#CXXFLAGS += -Wno-unused-variable

DEB_CONFIGURE_EXTRA_FLAGS += --with-incompatible-bdb

# avoid upstream optimizations - we want $DEB_* variables tocontrol them
DEB_CONFIGURE_EXTRA_FLAGS += --disable-ccache --disable-hardening

# Bitcoin developers fear uncovered vulnerabilities
# * see https://github.com/bitcoin/bitcoin/commit/21d27eb
DEB_CONFIGURE_EXTRA_FLAGS += --without-miniupnpc

DEB_CONFIGURE_EXTRA_FLAGS += --with-system-leveldb

DEB_CONFIGURE_EXTRA_FLAGS += --with-system-secp256k1

DEB_CONFIGURE_EXTRA_FLAGS += --with-system-univalue

DEB_CONFIGURE_EXTRA_FLAGS += --with-zmq

CXXFLAGS += -fPIC
DEB_CONFIGURE_EXTRA_FLAGS += --with-gui=qt5 --with-qrencode
#export QT_SELECT=5

# resolve if release is experimental
EXP_RELEASE = $(filter experimental% UNRELEASED,$(DEB_SUITE))

DEB_CONFIGURE_EXTRA_FLAGS += \
 --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

DEB_CONFIGURE_EXTRA_FLAGS += --without-libs

binary-install/$(pkg-daemon)::
	dh_bash-completion

# Run tests
# * Fake HOME and TMPDIR and use virtual X11 in testsuite
# * print test-suite.log if testsuite fails
# * relax experimental build to succed if testsuite fails
FAKETMP = $(CURDIR)/debian/faketmp
DEB_MAKE_CHECK_TARGET = check \
 || { cat src/test-suite.log; $(if $(EXP_RELEASE),,false;) }
$(cdbs_make_check_stamps): DEB_MAKE_INVOKE := \
 HOME=$(FAKETMP) TMPDIR=$(FAKETMP) xvfb-run -a $(DEB_MAKE_INVOKE)
pre-build::
	mkdir -p "$(FAKETMP)"
clean::
	rm -rf "$(FAKETMP)"

DEB_INSTALL_DOCS_ALL += README.md doc/release-notes/release-notes-*.md

pre-build::
	mkdir -p src/obj/nogui
clean::
	-find src/obj -type f -not -name .gitignore -delete
	-rmdir --ignore-fail-on-non-empty build
	rm -f src/$(daemon)

# Generate manpages during build
#  * TODO: generate groestlcoin-qt manpage when solved how without X11
#common-post-build-arch:: debian/stamp-manpage-build
#debian/stamp-manpage-build:
#	BITCOINQT=' ' TOPDIR=. contrib/devtools/gen-manpages.sh $(DEB_UPSTREAM_VERSION)
#	touch $@
#clean::
#	rm -f doc/man/groestlcoin*.1

# Ensure wrapper is set executable
binary-post-install/$(pkg-daemon)::
	chmod +x debian/$(pkg-daemon)/usr/bin/$(daemon)

## groestlcoin 2.21.1~dfsg

=== debian/changelog ===
groestlcoin (2.21.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright info: update coverage
  * unfuzz patch 1002

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 May 2021 20:43:29 +0200

groestlcoin (2.21.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * copyright: update coverage
  * recommend tor for packages groestlcoind groestcoin-qt
  * unfuzz patches
  * tighten build-dependency on libsecp256k1-dev
  * build-depend on libsqlite3-dev

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Jan 2021 00:08:38 +0100

groestlcoin (2.20.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * modernize source script copyright-check
  * copyright: update coverage
  * declare compliance with Debian Policy 4.5.1
  * drop patch 2002 obsoleted by upstream removal of BIP 70 support
  * unfuzz patches
  * add patch 2002
    to convert atomic to non-atomic integer for UniValue
    (needed when linking with mainline UniValue);
    closes: bug#956878, thanks to Andreas Beckmann
  * enable all hardening build flags
  * stop ship example files no longer shipped upstream

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Jan 2021 19:18:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,36 +2,38 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
+Uploaders:
+ Jonas Smedegaard <dr@jones.dk>,
+Build-Depends:
+ autoconf-archive,
  autotools-dev,
+ bash-completion,
+ cdbs,
+ debhelper,
  dh-autoreconf,
- debhelper,
- pkg-config,
- autoconf-archive,
+ libboost-chrono-dev,
+ libboost-filesystem-dev,
+ libboost-system-dev,
+ libboost-test-dev,
+ libboost-thread-dev,
  libdb++-dev,
+ libevent-dev,
  libleveldb-dev,
- libsecp256k1-dev,
+ libprotobuf-dev,
+ libqrencode-dev,
+ libsecp256k1-dev (>= 0.1~20201209),
+ libsqlite3-dev,
+ libssl-dev,
  libunivalue-dev (>= 1.0.4),
  libzmq3-dev,
+ pkg-config,
+ protobuf-compiler,
+ python3,
  qtbase5-dev,
  qttools5-dev-tools,
- libprotobuf-dev,
- protobuf-compiler,
- libqrencode-dev,
- libevent-dev,
- bash-completion,
+ xauth <!nocheck>,
  xvfb <!nocheck>,
- xauth <!nocheck>,
- libboost-system-dev,
-# TODO: Drop below Boost libs when (if ever?) system json is used
- libboost-filesystem-dev,
- libboost-thread-dev,
- libboost-test-dev,
- libboost-chrono-dev,
- libssl-dev,
- python3,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://www.groestlcoin.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/groestlcoin.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/groestlcoin
@@ -39,11 +41,14 @@
 
 Package: groestlcoind
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Suggests:
  bash-completion,
  db-util,
+Recommends:
+ tor,
 Description: peer-to-peer network based digital currency - daemon
  Groestlcoin is an experimental new digital currency
  that enables instant payments to anyone,
@@ -67,8 +72,11 @@
 
 Package: groestlcoin-qt
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ tor,
 Description: peer-to-peer network based digital currency - GUI
  Groestlcoin is an experimental new digital currency
  that enables instant payments to anyone,
@@ -91,8 +99,9 @@
 
 Package: groestlcoin-tx
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Suggests:
  bash-completion,
 Description: peer-to-peer network based digital currency - transaction tool

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 pkg = $(DEB_SOURCE_PACKAGE)
 stem = $(patsubst lib%,%,$(pkg))
@@ -12,7 +14,6 @@
 DEB_BUILD_PARALLEL = 1
 
 DEB_INSTALL_DOCS_ALL += doc/release-notes.md
-DEB_INSTALL_EXAMPLES_$(pkg-daemon) += contrib/debian/examples/*
 
 # work around build failure with gcc 4.7
 #CXXFLAGS += -fpermissive

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
dversionmangle=s/[~+](dfsg|ds)\d*$//,repacksuffix=~dfsg,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/GroestlCoin/groestlcoin/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
